#ifndef _error_h_
#define _error_h_

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <syslog.h>
#include <stdarg.h>


#ifndef MAXLINE
#define MAXLINE 4096
#endif

/*Function to perform action, required by others*/
void err_doit(int, int, const char *, va_list);

void err_ret(const char *, ...);
void err_sys(const char *, ...);
void err_dump(const char *, ...);
void err_msg(const char *, ...);
void err_quit(const char *, ...);
#endif