#include <sys/types.h>

typedef struct my_index_free_pointer {
	void ** pointer;
	struct my_index_free_pointer * next;
} mi_fp;

typedef mi_fp * mi_fp_p;


typedef struct {
	void **	root;
	int	free;
	int	max;
	mi_fp_p	current_free;
} my_index;

typedef my_index * my_index_p;

my_index_p my_index_create(int);
int my_index_free_pointer(my_index_p, int);
int my_index_add_to (my_index_p, void *);